./devel/xfce4-conf, Xfce client-server configuration storage and query system

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 4.13.4, Package name: xfce4-conf-4.13.4, Maintainer: youri

Simple client-server configuration storage and query system for Xfce.


Required to run:
[sysutils/dbus-glib] [sysutils/dbus] [x11/libxfce4util] [x11/gtk3]

Required to build:
[pkgtools/x11-links] [x11/xcb-proto] [x11/fixesproto4] [pkgtools/cwrappers] [x11/xorgproto]

Master sites:

SHA1: 944fba00db7b665ae39c90b28f117e8c21e49ebd
RMD160: d785288a33446ead24daf2396cf564287e01e3e5
Filesize: 584.668 KB

Version history: (Expand)


CVS history: (Expand)


   2018-05-16 00:41:36 by Youri Mouton | Files touched by this commit (4) | Package updated
Log message:
Update:

4.13.4
======
- Fix segfault in xfconf_cache_set_property_reply_handler when
  multiple calls are made (bug #13825)
- Allow to store empty arrays (bug #13791)
- Fix a path in xfconf_cache_set where the mutex isn't locked (bug #13790)

4.13.3
======
- Flush gdbus connection on xfconf_shutdown
- Correctly use xfconf_shutdown in xfconf-query
- Check for invalid GPtrArrays in the conversion
  from GValue to GVariant.
- Fix some build issues in AM subdir-objects
- Fix some autogen.sh warnings
- Better documentation processing.

4.13.2
======
- Fix cache corruption due to a wrong g_value_unset call.
- Update API gtk documentation

4.13.1
======
- Revert the bump of libxfconf version from 0 to 1,
  to avoid massive changes in all xfce's components.

4.13.0
======
- Port xfconf to gdbus
- Bump libxfconf version from 0 to 1.
   2018-04-16 16:35:28 by Thomas Klausner | Files touched by this commit (1284)
Log message:
Recursive bump for new fribidi dependency in pango.
   2018-03-12 12:18:01 by Thomas Klausner | Files touched by this commit (2155)
Log message:
Recursive bumps for fontconfig and libzip dependency changes.
   2017-11-23 18:20:22 by Thomas Klausner | Files touched by this commit (556)
Log message:
recursive bump for libxkbcommon removal from at-spi2-core
   2017-10-16 00:31:02 by Patrick Welche | Files touched by this commit (12)
Log message:
Put gdbus-codgen back into operation

- Revert "Move gdbus-codegen users to py-glib2-tools by including
  glib2/buildtools.mk" 1f764df
- while here change to TOOL_DEPENDS
- switch from py-glib2-tools to glib2-tools
   2017-10-13 18:36:04 by Patrick Welche | Files touched by this commit (11)
Log message:
Move gdbus-codegen users to py-glib2-tools by including glib2/buildtools.mk
   2017-06-20 18:11:05 by Youri Mouton | Files touched by this commit (3)
Log message:
Downgrade xfce4-conf to 4.12.1 to make the panel working again.
   2017-06-19 00:22:55 by Youri Mouton | Files touched by this commit (4) | Package updated
Log message:
Update xfce4-conf to 4.13.1:

4.12.1
======
- Add support for binding to GdkRGBAs (required for migration to gtk3)
- Translation updates: ast, ca, el, eu, gl, he, hu, lt, nn, oc, ru, sk, sv

Further changelogs not available.